#
# spec file for package perl-App-Genpass
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-App-Genpass
Version:        2.34
Release:        1.1
%define cpan_name App-Genpass
Summary:        Quickly and easily create secure passwords
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/App-Genpass/
Source:         http://www.cpan.org/authors/id/X/XS/XSAWYERX/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Config::Any)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(List::AllUtils)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Build) >= 0.3601
BuildRequires:  perl(Moo)
BuildRequires:  perl(MooX::Types::MooseLike)
BuildRequires:  perl(Sub::Quote)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(namespace::clean) >= 0.2
Requires:       perl(Config::Any)
Requires:       perl(File::HomeDir)
Requires:       perl(List::AllUtils)
Requires:       perl(Moo)
Requires:       perl(MooX::Types::MooseLike)
Requires:       perl(Sub::Quote)
Requires:       perl(namespace::clean) >= 0.2
%{perl_requires}

%description
If you've ever needed to create 10 (or even 10,000) passwords on the fly
with varying preferences (lowercase, uppercase, no confusing characters,
special characters, minimum length, etc.), you know it can become a pretty
pesky task.

This module makes it possible to create flexible and secure passwords,
quickly and easily.

    use App::Genpass;
    my $genpass = App::Genpass->new();

    my $single_password    = $genpass->generate(1);  # returns scalar
    my @single_password    = $genpass->generate(1);  # returns array
    my @multiple_passwords = $genpass->generate(10); # returns array again
    my $multiple_passwords = $genpass->generate(10); # returns arrayref

This distribution includes a program called *genpass*, which is a command
line interface to this module. If you need a program that generates
passwords, use *genpass*.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 2.34
  see /usr/share/doc/packages/perl-App-Genpass/Changes
  2.34    04.08.14
  * GH #3: When provided some empty types, it would loop forever.
  2.33    20.11.12
  * Reinstate configuration reading which was removed with the move
    to Moo.
  * RT #81287: Update docs to reflect Mouse no longer used.
    (Props to zaxon)
  2.32    01.07.12
  * RT #77652: Depend directly on MooX::Types::MooseLike.
    (nice catch, Brad Bowman!)
  2.31    26.06.12
  * number was accidentally a Bool instead of Int.
    (nice catch, Jonathan Swartz! *COUGH*USETHECHI*COUGH*)
  2.30    26.03.12
  - Move from Mouse to Moo - MUCH FASTER!
* Sun Nov 27 2011 pascal.bleser@opensuse.org
- update to 2.20:
* Fri Mar 11 2011 pascal.bleser@opensuse.org
- update to 2.01:
  * fix tests by requiring namespace::clean at least 0.2
* Thu Feb 17 2011 pascal.bleser@opensuse.org
- initial version (2.00)
